org.wildfly.swarm.config.transactions

## Class LogStore<T extends LogStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.transactions.LogStore<T>

-     public class LogStore<T extends LogStore<T>>
      extends Object

  Representation of the transaction logging storage mechanism.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogStore.LogStoreResources` Child mutators for LogStore

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `exposeAllLogs()` Whether to expose all logs like orphans etc.
    `T` | `exposeAllLogs(Boolean value)` Whether to expose all logs like orphans etc.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LogStore.LogStoreResources` | `subresources()`
    `T` | `transactions(List<Transactions> value)` Add all Transactions objects to this subresource
    `T` | `transactions(String childKey)` Create and configure a Transactions object to the list of subresources
    `T` | `transactions(String childKey, TransactionsConsumer consumer)` Create and configure a Transactions object to the list of subresources
    `T` | `transactions(Transactions value)` Add the Transactions object to the list of subresources
    `T` | `transactions(TransactionsSupplier supplier)` Install a supplied Transactions object to the list of subresources
    `String` | `type()` Specifies the implementation type of the logging store.
    `T` | `type(String value)` Specifies the implementation type of the logging store.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogStore

          public LogStore()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LogStore.LogStoreResources subresources()

    - #### transactions

          public T transactions(List<Transactions> value)

      Add all Transactions objects to this subresource
      Parameters:
        `value` - List of Transactions objects.
      Returns:
        this

    - #### transactions

          public T transactions(Transactions value)

      Add the Transactions object to the list of subresources
      Parameters:
        `value` - The Transactions to add
      Returns:
        this

    - #### transactions

          public T transactions(String childKey,
                                TransactionsConsumer consumer)

      Create and configure a Transactions object to the list of subresources
      Parameters:
        `key` - The key for the Transactions resource
        `config` - The TransactionsConsumer to use
      Returns:
        this

    - #### transactions

          public T transactions(String childKey)

      Create and configure a Transactions object to the list of subresources
      Parameters:
        `key` - The key for the Transactions resource
      Returns:
        this

    - #### transactions

          public T transactions(TransactionsSupplier supplier)

      Install a supplied Transactions object to the list of subresources

    - #### exposeAllLogs

          public Boolean exposeAllLogs()

      Whether to expose all logs like orphans etc. By default only a subset of transaction logs is exposed.

    - #### exposeAllLogs

          public T exposeAllLogs(Boolean value)

      Whether to expose all logs like orphans etc. By default only a subset of transaction logs is exposed.

    - #### type

          public String type()

      Specifies the implementation type of the logging store.

    - #### type

          public T type(String value)

      Specifies the implementation type of the logging store.

Copyright © 2017 JBoss by Red Hat. All rights reserved.